SVN-MAILER(1)

NAME
svn-mailer - A feature rich subversion commit notification tool

SYNOPSIS
svn-mailer --commit -d repos -r rev [-f config]

svn-mailer --propchange -d repos -r rev -a author -n propname
    [-o action] [-f config]

svn-mailer --lock -d repos -a author [-f config]

svn-mailer --unlock -d repos -a author [-f config]

DESCRIPTION
The svnmailer package is a tool to post notifications of subversion events to various targets in different ways. Currently implemented: Mail via SMTP or a sendmail pipe, news via NNTP, XML via XMLRPC to a CIA tracker (see http://cia.navi.cx/ for details).

The svn-mailer command line script is typically invoked via subversion's hook mechanism, but you can run it manually as well. This is useful to resend missing messages or for debugging purposes. Remember to start it under the correct user/group id. Otherwise it may have problems to open the repository or the config file.

The svnmailer can be used in most cases as a drop-in replacement for mailer.py distributed with subversion. There are some subtle differences which are dedicated to more behavior consistency. (Hopefully) all of them are stated in the HTML documentation.

  GENERAL OPTIONS

--version
    show program's version number and exit

-h, --help
    show a help message and exit

  COMMON PARAMETERS

--debug
    Run in debug mode (means basically that all messages are sent to STDOUT)

-dREPOSITORY, --repository=REPOSITORY
    The repository directory

-fCONFIG, --config=CONFIG
    The configuration file

-ePATH_ENCODING, --path-encoding=PATH_ENCODING
    Specifies the character encoding to be used for filenames. By default the encoding is tried to be determined automatically depending on the locale.

  BEHAVIOR OPTIONS

The behavior options are mutually exclusive, i.e. the last one wins.

-c, --commit
    This is a regular commit of versioned data (post-commit hook). This is default.

-p, --propchange
    This is a modification of unversioned properties (post-revprop-change hook)

-l, --lock
    (svn 1.2 and later) This is a locking call (post-lock hook). The locked file names are read from STDIN.

-u, --unlock
    (svn 1.2 and later) This is a unlocking call (post-unlock hook). The unlocked file names are read from STDIN.

  SUPPLEMENTAL PARAMETERS

-rREVISION, --revision=REVISION
    The modified/committed revision number

-aAUTHOR, --author=AUTHOR
    The author of the modification

-nPROPNAME, --propname=PROPNAME
    The name of the modified property

-oACTION, --action=ACTION
    (svn 1.2 and later) The property change action. If specified, the old property value is read from STDIN.

CONFIGURATION FILES
If the configuration file is not specified on the command line it is searched at default locations. The first one found is loaded. The locations are, in order: svnmailer.conf in the conf/ directory of the given repository, svnmailer.conf in the script directory itself, /etc/svnmailer.conf.

OLD STYLE COMMAND LINE
Alternatively you can use the old style compatibility command lines (options described above don't apply then):

svn-mailer commit repos rev [config]

svn-mailer propchange repos rev author propname [config]

With svn 1.2 and later:
svn-mailer propchange2 repos rev author propname action [config]

svn-mailer lock repos author [config]

svn-mailer unlock repos author [config]

REPORTING BUGS
If you've found a bug or have an idea how to improve the svnmailer, please send a mail to <svnmailer-bugs@perlig.de>.

AUTHOR INFORMATION
André "nd" Malo <nd@perlig.de>, GPG: 0x8103A37E

SEE ALSO
The full documentation of the svnmailer package is maintained in HTML form. You may find it in the /usr/share/docs/svnmailer/ directory at your site or online at <http://opensource.perlig.de/svnmailer/>.

For detailed information about subversion, consult the subversion book at <http://svnbook.red-bean.com/>.